## account-utils 0.4.0

=== meson_options.txt ===
option('man', type : 'feature', value : 'auto',
       description : 'build and install man pages')
option('pamlibdir', type : 'string',
       description : 'directory for PAM modules')
option('pamconfdir', type : 'string',
       description : 'directory for PAM configuration')
option('selinux', type: 'feature', value: 'auto',
       description: 'SELinux support')
option('vendordir', type: 'string', value: '/usr/etc',
       description : 'directory for distribution provided config files (e.g. login.defs)')
option('distribution', type : 'string',
       description : 'Name of used distribution: example, suse')

=== debian/changelog ===
account-utils (0.4.0-1) unstable; urgency=low

  * Initial release

 -- Luca Boccassi <bluca@debian.org>  Sat, 08 Nov 2025 01:30:55 +0000

=== debian/control ===
Source: account-utils
Section: admin
Priority: optional
Maintainer: Luca Boccassi <bluca@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-exec,
               dh-package-notes,
               docbook5-xml <!nodoc>,
               docbook-xsl-ns <!nodoc>,
               libaudit-dev,
               libcrypt-dev (>= 4.4.27~),
               libeconf-dev (>= 0.7.5~),
               libpam0g-dev,
               libselinux-dev,
               libsystemd-dev (>= 257~),
               meson (>= 0.61.0~),
               pkgconf,
               xsltproc <!nodoc>,
Standards-Version: 4.7.2
Homepage: https://github.com/thkukuk/account-utils
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian/account-utils.git
Vcs-Browser: https://salsa.debian.org/debian/account-utils

Package: account-utils
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: user management and authentication - system services and PAM
 The account-utils package contains the utilities and services to do user
 management and authentication without the need for setuid/setgid binaries.
 .
 This package contains the pwaccess socket-activated system services and
 PAM modules.

Package: account-utils-passwd
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}, account-utils (= ${binary:Version}),
Description: user management and authentication - utilities
 The account-utils package contains the utilities and services to do user
 management and authentication without the need for setuid/setgid binaries.
 .
 This package contains command line utilities compatible with passwd's tools.

Package: libpwaccess0
Architecture: linux-any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: user management and authentication - shared library
 The account-utils package contains the utilities and services to do user
 management and authentication without the need for setuid/setgid binaries.
 .
 This package contains the libpwaccess shared library.

Package: libpwaccess-dev
Architecture: linux-any
Multi-Arch: same
Section: libdevel
Depends: libpwaccess0 (= ${binary:Version}), ${misc:Depends},
Description: user management and authentication - development files
 The account-utils package contains the utilities and services to do user
 management and authentication without the need for setuid/setgid binaries.
 .
 This package contains the files needed for developing applications that use
 libpwaccess.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/debhelper/dh_package_notes/package-notes.mk

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dman=$(if $(filter nodoc,$(DEB_BUILD_PROFILES)),disabled,enabled)

## account-utils 1.0.0

=== debian/changelog ===
account-utils (1.0.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/1.0.0'
  * Install new tools
  * Do not start/stop socket-activated units in postinst
  * Update d/copyright for new code changes
  * Add build dependency on libcap-dev
  * Drop priority from d/control, now defaults to optional
  * Drop Rules-Requires-Root, now defaults to no
  * Bump Standards-version to 4.7.3

 -- Luca Boccassi <bluca@debian.org>  Sun, 15 Feb 2026 17:36:48 +0000

## account-utils 1.0.1

=== meson_options.txt ===
--- 
+++ 
@@ -10,3 +10,6 @@
        description : 'directory for distribution provided config files (e.g. login.defs)')
 option('distribution', type : 'string',
        description : 'Name of used distribution: example, suse')   
+option('tools', type: 'boolean', value: true,
+       description: 'Build additional utilities')
+

=== debian/changelog ===
account-utils (1.0.1-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/1.0.1'
  * Install new manpages

 -- Luca Boccassi <bluca@debian.org>  Sun, 15 Feb 2026 21:57:30 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: account-utils
 Section: admin
-Priority: optional
 Maintainer: Luca Boccassi <bluca@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-exec,
@@ -8,6 +7,7 @@
                docbook5-xml <!nodoc>,
                docbook-xsl-ns <!nodoc>,
                libaudit-dev,
+               libcap-dev,
                libcrypt-dev (>= 4.4.27~),
                libeconf-dev (>= 0.7.5~),
                libpam0g-dev,
@@ -16,9 +16,8 @@
                meson (>= 0.61.0~),
                pkgconf,
                xsltproc <!nodoc>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/thkukuk/account-utils
-Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/account-utils.git
 Vcs-Browser: https://salsa.debian.org/debian/account-utils

=== debian/rules ===
--- 
+++ 
@@ -9,3 +9,7 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		-Dman=$(if $(filter nodoc,$(DEB_BUILD_PROFILES)),disabled,enabled)
+
+override_dh_installsystemd:
+	dh_installsystemd -p account-utils --no-start --no-stop-on-upgrade newidmapd.service pwaccessd.service pwupdd@.service
+	dh_installsystemd -p account-utils --no-stop-on-upgrade newidmapd.socket pwaccessd.socket pwupdd.socket

=== debian/watch ===
version=4
opts=uversionmangle=s/-rc/~rc/,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/account-utils-$1\.tar\.gz/ \
 https://github.com/thkukuk/account-utils/tags .*/v?(\d\S*)\.tar\.gz
